;-| Button Remapping |-----------------------------------------------------
; This section lets you remap the player's buttons (to easily change the
; button configuration). The format is:
;   old_button = new_button
; If new_button is left blank, the button cannot be pressed.
[Remap]
x = x
y = y
z = z
a = a
b = b
c = c
s = s

;-| Default Values |-------------------------------------------------------
[Defaults]
; Default value for the "time" parameter of a Command. Minimum 1.
command.time = 30

; Default value for the "buffer.time" parameter of a Command. Minimum 1,
; maximum 30.
command.buffer.time = 1

;-| Super Motions |--------------------------------------------------------
; 7-Slash Sabre Combo
[Command]
name = "7sabre"
command = ~x, x, F, a, z
time = 50

;-| Special Motions |------------------------------------------------------

;-| Double Tap |-----------------------------------------------------------
[Command]
name = "FF"     ;Required (do not remove)
command = F, F
time = 10

[Command]
name = "FF"
command = B, F
time = 10

[Command]
name = "BB"     ;Required (do not remove)
command = B, B
time = 10

[Command]
name = "BB"
command = F, B
time = 10

;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = "recovery" ;Required (do not remove)
command = x+y
time = 1

[Command]
name = "recovery"
command = y+z
time = 1

[Command]
name = "recovery"
command = x+z
time = 1

[Command]
name = "recovery"
command = a+b
time = 1

[Command]
name = "recovery"
command = b+c
time = 1

[Command]
name = "recovery"
command = a+c
time = 1

;-| Dir & Button |---------------------------------------------------------
[Command]
name = "back_x"
command = /$B,x
time = 1

[Command]
name = "back_y"
command = /$B,y
time = 1

[Command]
name = "back_z"
command = /$B,z
time = 1

[Command]
name = "down_x"
command = /$D,x
time = 1

[Command]
name = "down_y"
command = /$D,y
time = 1

[Command]
name = "down_z"
command = /$D,z
time = 1

[Command]
name = "fwd_x"
command = /$F,x
time = 1

[Command]
name = "fwd_y"
command = /$F,y
time = 1

[Command]
name = "fwd_z"
command = /$F,z
time = 1

[Command]
name = "up_x"
command = /$U,x
time = 1

[Command]
name = "up_y"
command = /$U,y
time = 1

[Command]
name = "up_z"
command = /$U,z
time = 1

[Command]
name = "back_a"
command = /$B,a
time = 1

[Command]
name = "back_b"
command = /$B,b
time = 1

[Command]
name = "back_c"
command = /$B,c
time = 1

[Command]
name = "down_a"
command = /$D,a
time = 1

[Command]
name = "down_b"
command = /$D,b
time = 1

[Command]
name = "down_c"
command = /$D,c
time = 1

[Command]
name = "fwd_a"
command = /$F,a
time = 1

[Command]
name = "fwd_b"
command = /$F,b
time = 1

[Command]
name = "fwd_c"
command = /$F,c
time = 1

[Command]
name = "up_a"
command = /$U,a
time = 1

[Command]
name = "up_b"
command = /$U,b
time = 1

[Command]
name = "up_c"
command = /$U,c
time = 1

;-| Dir + Button |---------------------------------------------------------
[Command]
name = "back+x"
command = $B,x
time = 5

[Command]
name = "back+y"
command = $B,y
time = 5

[Command]
name = "back+z"
command = $B,z
time = 5

[Command]
name = "down+x"
command = $D,x
time = 5

[Command]
name = "down+y"
command = $D,y
time = 5

[Command]
name = "down+z"
command = $D,z
time = 5

[Command]
name = "fwd+x"
command = F,x
time = 5

[Command]
name = "fwd+y"
command = $F,y
time = 5

[Command]
name = "fwd+z"
command = $F,z
time = 5

[Command]
name = "up+x"
command = $U,x
time = 5

[Command]
name = "up+y"
command = $U,y
time = 5

[Command]
name = "up+z"
command = $U,z
time = 5

[Command]
name = "back+a"
command = $B,a
time = 5

[Command]
name = "back+b"
command = $B,b
time = 5

[Command]
name = "back+c"
command = $B,c
time = 5

[Command]
name = "down+a"
command = $D,a
time = 5

[Command]
name = "down+b"
command = $D,b
time = 5

[Command]
name = "down+c"
command = $D,c
time = 5

[Command]
name = "fwd+a"
command = $F,a
time = 5

[Command]
name = "fwd+b"
command = $F,b
time = 5

[Command]
name = "fwd+c"
command = $F,c
time = 5

[Command]
name = "up+a"
command = $U,a
time = 5

[Command]
name = "up+b"
command = $U,b
time = 5

[Command]
name = "up+c"
command = $U,c
time = 5

;-| Single Button |---------------------------------------------------------
[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "s"
command = s
time = 1

;-| Single Dir |------------------------------------------------------------
[Command]
name = "fwd" ;Required (do not remove)
command = $F
time = 1

[Command]
name = "downfwd"
command = $DF
time = 1

[Command]
name = "down" ;Required (do not remove)
command = $D
time = 1

[Command]
name = "downback"
command = $DB
time = 1

[Command]
name = "back" ;Required (do not remove)
command = $B
time = 1

[Command]
name = "upback"
command = $UB
time = 1

[Command]
name = "up" ;Required (do not remove)
command = $U
time = 1

[Command]
name = "upfwd"
command = $UF
time = 1

;-| Hold Button |--------------------------------------------------------------
[Command]
name = "hold_x"
command = /x
time = 1

[Command]
name = "hold_y"
command = /y
time = 1

[Command]
name = "hold_z"
command = /z
time = 1

[Command]
name = "hold_a"
command = /a
time = 1

[Command]
name = "hold_b"
command = /b
time = 1

[Command]
name = "hold_c"
command = /c
time = 1

[Command]
name = "hold_s"
command = /s
time = 1

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = "holdfwd" ;Required (do not remove)
command = /$F
time = 1

[Command]
name = "holddownfwd"
command = /$DF
time = 1

[Command]
name = "holddown" ;Required (do not remove)
command = /$D
time = 1

[Command]
name = "holddownback"
command = /$DB
time = 1

[Command]
name = "holdback" ;Required (do not remove)
command = /$B
time = 1

[Command]
name = "holdupback"
command = /$UB
time = 1

[Command]
name = "holdup" ;Required (do not remove)
command = /$U
time = 1

[Command]
name = "holdupfwd"
command = /$UF
time = 1

;---------------------------------------------------------------------------
; Don't remove the following line. It's required by the CMD standard.
[Statedef -1]

;===== Contact/Hit/Guard =====
;----- MoveContact -----
[State -1, VarSet]
type = VarSet
trigger1 = Time <= 1
trigger2 = StateTime <= 1
ignorehitpause = 1
v = 15
value = 0

[State -1, VarAdd]
type = VarAdd
trigger1 = MoveContact
ignorehitpause = 1
v = 15
value = 1
;--------------------

;----- MoveHit -----
[State -1, VarSet]
type = VarSet
trigger1 = Time <= 1
trigger2 = StateTime <= 1
ignorehitpause = 1
v = 16
value = 0

[State -1, VarAdd]
type = VarAdd
trigger1 = MoveHit
ignorehitpause = 1
v = 16
value = 1
;--------------------

;----- MoveGuarded -----
[State -1, VarSet]
type = VarSet
trigger1 = Time <= 1
trigger2 = StateTime <= 1
ignorehitpause = 1
v = 17
value = 0

[State -1, VarAdd]
type = VarAdd
trigger1 = MoveGuarded
ignorehitpause = 1
v = 17
value = 1
;--------------------
;=========================

;====================
;--------------------
; AI is Activated
[State -1, VarSet]
type = VarSet
triggerall = Ctrl
triggerall = RoundState = 2
trigger1 = IsHomeTeam = 1
trigger1 = TeamSide = 2
trigger2 = IsHomeTeam = 1
trigger2 = MatchNo > 1
ignorehitpause = 1
v = 20
value = -1
;--------------------

;--------------------
; AI Random Model
[State -1, VarRandom]
type = VarRandom
trigger1 = Var(20) < 0
trigger1 = Var(55) <= 0
ignorehitpause = 1
v = 55
range = 1,Var(59)

[State -1, State]
type = SelfState
trigger1 = Ctrl
trigger1 = Var(20) < 0
trigger1 = StateNo < 100
trigger1 = Var(56) != Var(55)
value = 161
;--------------------
;====================

;===========================================================================
;---------------------------------------------------------------------------
; Model [X] Commands
;---------------------------------------------------------------------------
; Wall Shoot
[State -1, Attack]
type = ChangeState
value = 100340
triggerall = Ctrl
triggerall = Var(56) = 1
triggerall = StateNo = 80
triggerall = StateType = A
triggerall = NumHelper(350) < Var(2)
trigger1 = Var(30) < Var(32) 
trigger1 = Command = "x" || Command = "y"
trigger2 = Command != "hold_x"
trigger2 = Command != "hold_y"
trigger2 = Var(30) >= Var(32)
ignorehitpause = 1

; Dash Shoot
[State -1, Attack]
type = ChangeState
value = 100330
triggerall = Var(56) = 1
triggerall = StateNo = 300 + Var(57) ||  StateNo = 315 + Var(57) || StateNo = 320 + Var(57)
triggerall = StateType != A
trigger1 = Command = "z"
trigger2 = Command = "FF"
ignorehitpause = 1

; Dash Shoot
[State -1, Attack]
type = ChangeState
value = 100330
triggerall = Var(56) = 1
triggerall = StateNo = 100
triggerall = StateType != A
triggerall = NumHelper(350) < Var(2)
trigger1 = Var(30) < Var(32)
trigger1 = Command = "x" || Command = "y"
trigger2 = Command != "hold_x"
trigger2 = Command != "hold_y"
trigger2 = Var(30) >= Var(32)
ignorehitpause = 1

; Walk Shoot
[State -1, State]
type = ChangeState
value = 100320
triggerall = Ctrl
triggerall = Var(56) = 1
triggerall = StateType != A
triggerall = NumHelper(350) < Var(2)
triggerall = Command = "holdfwd"
triggerall = Command != "holdback"
trigger1 = Var(30) < Var(32)
trigger1 = Command = "x" || Command = "y"
trigger2 = Command != "hold_x"
trigger2 = Command != "hold_y"
trigger2 = Var(30) >= Var(32)
ignorehitpause = 1

; Jump Shoot
[State -1, State]
type = ChangeState
value = 100305
triggerall = Ctrl
triggerall = Var(4) > 0
triggerall = Var(56) = 1
triggerall = StateNo != 305 + Var(57)
triggerall = StateNo >= 300 + Var(57)
triggerall = StateNo < 340 + Var(57)
triggerall = StateType != A
triggerall = MoveType = A
trigger1 = Command = "a"
ignorehitpause = 1

; Air Shoot
[State -1, State]
type = ChangeState
value = 100310
triggerall = Ctrl
triggerall = Var(56) = 1
triggerall = StateType = A
triggerall = NumHelper(350) < Var(2)
trigger1 = Var(30) < Var(32)
trigger1 = Command = "x" || Command = "y"
trigger2 = Command != "hold_x"
trigger2 = Command != "hold_y"
trigger2 = Var(30) >= Var(32)
ignorehitpause = 1

; Stand Shoot
[State -1, State]
type = ChangeState
value = 100300
triggerall = Ctrl
triggerall = Var(56) = 1
triggerall = StateType != A
triggerall = NumHelper(350) < Var(2)
trigger1 = Var(30) < Var(32)
trigger1 = Command = "x" || Command = "y"
trigger2 = Command != "hold_x"
trigger2 = Command != "hold_y"
trigger2 = Var(30) >= Var(32)
ignorehitpause = 1

;===========================================================================
;---------------------------------------------------------------------------
; Model [Zx] Commands
;---------------------------------------------------------------------------
; Sabre Dash Slash
[State -1, Attack]
type = ChangeState
value = 200700
triggerall = Var(56) = 2
triggerall = command = "x"
trigger1 = StateNo = 100
ignorehitpause = 1

;---------------------------------------------------------------------------
; Rising Sabre
[State -1, Attack]
type = ChangeState
value = 200250
triggerall = Var(56) = 2
triggerall = command = "holdup"
triggerall = command = "x"
triggerall = statetype != A
trigger1 = Ctrl
ignorehitpause = 1

;---------------------------------------------------------------------------
; Walking Sabre Attack
[State -1, State]
type = ChangeState
value = 200290
triggerall = Var(56) = 2
triggerall = StateType != A
triggerall = NumHelper(10000) <= 0
triggerall = NumHelper(10001) <= 0
triggerall = Command = "holdfwd"
triggerall = Command != "holdback"
trigger1 = Command = "x"
trigger1 = Ctrl
ignorehitpause = 1

;---------------------------------------------------------------------------
; Sabre Attack 1
[State -1, Attack]
type = ChangeState
value = 200200
triggerall = Var(56) = 2
triggerall = Command = "x"
trigger1 = StateType != A
trigger1 = Ctrl
trigger2 = StateNo = 100
ignorehitpause = 1

; Sabre Attack 2
[State -1, Attack]
type = ChangeState
value = 200210
triggerall = Var(56) = 2
triggerall = command = "x"
triggerall = StateType != A
trigger1 = StateNo = 200200
trigger1 = Anim = 200200
trigger1 = AnimElem = 6, >= 0
trigger2 = StateNo = 200200
trigger2 = StateTime > 0
trigger2 = Var(15) > 0
ignorehitpause = 1

; Sabre Attack 3
[State -1, Attack]
type = ChangeState
value = 200220
triggerall = Var(56) = 2
triggerall = command = "x"
triggerall = StateType != A
trigger1 = StateNo = 200210
trigger1 = Anim = 200210
trigger1 = AnimElem = 5, >= 0
trigger2 = StateNo = 200210
trigger2 = StateTime > 0
trigger2 = Var(15) > 0
ignorehitpause = 1

;---------------------------------------------------------------------------
; Charged Sabre Attack
[State -1, State]
type = ChangeState
value = 200260
triggerall = Var(56) = 2
triggerall = Var(30) >= Var(33)
triggerall = Command != "hold_x"
trigger1 = StateType != A
trigger1 = Ctrl
trigger2 = StateNo = 100
ignorehitpause = 1

;---------------------------------------------------------------------------
; Wall Shoot
[State -1, Attack]
type = ChangeState
value = 200340
triggerall = Ctrl
triggerall = Var(56) = 2
triggerall = StateNo = 80
triggerall = StateType = A
triggerall = NumHelper(350) < Var(2)
trigger1 = Var(31) < Var(32)
trigger1 = Command = "y"
trigger2 = Command != "hold_y"
trigger2 = Var(31) >= Var(32)
ignorehitpause = 1

; Dash Shoot
[State -1, Attack]
type = ChangeState
value = 200330
triggerall = Var(56) = 2
triggerall = StateNo = 300 + Var(57) ||  StateNo = 315 + Var(57) || StateNo = 320 + Var(57)
triggerall = StateType != A
trigger1 = Command = "z"
trigger2 = Command = "FF"
ignorehitpause = 1

; Dash Shoot
[State -1, Attack]
type = ChangeState
value = 200330
triggerall = Var(56) = 2
triggerall = StateNo = 100
triggerall = StateType != A
triggerall = NumHelper(350) < Var(2)
trigger1 = Var(31) < Var(32)
trigger1 = Command = "y"
trigger2 = Command != "hold_y"
trigger2 = Var(31) >= Var(32)
ignorehitpause = 1

; Walk Shoot
[State -1, State]
type = ChangeState
value = 200320
triggerall = Ctrl
triggerall = Var(56) = 2
triggerall = StateType != A
triggerall = NumHelper(350) < Var(2)
triggerall = Command = "holdfwd"
triggerall = Command != "holdback"
trigger1 = Var(31) < Var(32)
trigger1 = Command = "y"
trigger2 = Command != "hold_y"
trigger2 = Var(31) >= Var(32)
ignorehitpause = 1

; Jump Shoot
[State -1, State]
type = ChangeState
value = 200305
triggerall = Ctrl
triggerall = Var(4) > 0
triggerall = Var(56) = 2
triggerall = StateNo != 305 + Var(57)
triggerall = StateNo >= 300 + Var(57)
triggerall = StateNo < 340 + Var(57)
triggerall = StateType != A
triggerall = MoveType = A
trigger1 = Command = "a"
ignorehitpause = 1

; Air Shoot
[State -1, State]
type = ChangeState
value = 200310
triggerall = Ctrl
triggerall = Var(56) = 2
triggerall = StateType = A
triggerall = NumHelper(350) < Var(2)
trigger1 = Var(31) < Var(32)
trigger1 = Command = "y"
trigger2 = Command != "hold_y"
trigger2 = Var(31) >= Var(32)
ignorehitpause = 1

; Stand Shoot
[State -1, State]
type = ChangeState
value = 200300
triggerall = Ctrl
triggerall = Var(56) = 2
triggerall = StateType != A
triggerall = NumHelper(350) < Var(2)
trigger1 = Var(31) < Var(32)
trigger1 = Command = "y"
trigger2 = Command != "hold_y"
trigger2 = Var(31) >= Var(32)
ignorehitpause = 1

;---------------------------------------------------------------------------
; Wall Sabre Slash
[State -1, Attack]
type = ChangeState
value = 200500
triggerall = Var(56) = 2
triggerall = Command = "x"
trigger1 = StateType = A
trigger1 = StateNo = 80
trigger1 = Ctrl
ignorehitpause = 1

; Wall Charged Sabre Slash
[State -1, Attack]
type = ChangeState
value = 200510
triggerall = Var(56) = 2
triggerall = Var(30) >= Var(33)
triggerall = Command != "hold_x"
trigger1 = StateType = A
trigger1 = StateNo = 80
trigger1 = Ctrl
ignorehitpause = 1

;---------------------------------------------------------------------------
; Air Sabre Stab
[State -1, Attack]
type = ChangeState
value = 200650
triggerall = Var(56) = 2
triggerall = command = "holddown"
triggerall = command = "x"
triggerall = statetype = A
trigger1 = Ctrl
ignorehitpause = 1

;---------------------------------------------------------------------------
; Air Spin Sabre
[State -1, Attack]
type = ChangeState
value = 200610
triggerall = Var(56) = 2
triggerall = command = "x"
triggerall = statetype = A
trigger1 = StateNo = 200600
trigger1 = AnimElem = 4, >= 0
trigger2 = StateNo = 200600
trigger2 = StateTime > 0
trigger2 = Var(15) > 0
trigger3 = command = "holdup"
trigger3 = ctrl
ignorehitpause = 1

;---------------------------------------------------------------------------
; Air Sabre Slash
[State -1, Attack]
type = ChangeState
value = 200600
triggerall = Var(56) = 2
triggerall = Command = "x"
trigger1 = StateType = A
trigger1 = Ctrl
ignorehitpause = 1

;---------------------------------------------------------------------------
; Air Charged Sabre Attack
[State -1, State]
type = ChangeState
value = 200660
triggerall = Var(56) = 2
triggerall = Var(30) >= Var(33)
triggerall = Command != "hold_x"
trigger1 = StateType = A
trigger1 = Ctrl
ignorehitpause = 1

;===========================================================================
;---------------------------------------------------------------------------
; Model [Hx] Commands
;---------------------------------------------------------------------------
; Sabre Dash Slash
[State -1, Attack]
type = ChangeState
value = 300700
triggerall = Var(56) = 3
triggerall = command = "x"
trigger1 = StateNo = 100
ignorehitpause = 1

; Sabre Dash Slash
[State -1, Attack]
type = ChangeState
value = 300710
triggerall = Var(56) = 3
triggerall = command = "y"
trigger1 = StateNo = 100
ignorehitpause = 1

;---------------------------------------------------------------------------
; Walking Sabre Attack
[State -1, State]
type = ChangeState
value = 300290
triggerall = Var(56) = 3
triggerall = StateType != A
triggerall = NumHelper(10000) <= 0
triggerall = NumHelper(10001) <= 0
triggerall = Command = "holdfwd"
triggerall = Command != "holdback"
trigger1 = Command = "x" || Command = "y"
trigger1 = Ctrl
ignorehitpause = 1

;---------------------------------------------------------------------------
; Sabre Attack 1
[State -1, Attack]
type = ChangeState
value = 300200
triggerall = Var(56) = 3
triggerall = Command = "x"
trigger1 = StateType != A
trigger1 = Ctrl
trigger2 = StateNo = 100
ignorehitpause = 1

; Sabre Attack 2
[State -1, Attack]
type = ChangeState
value = 300210
triggerall = Var(56) = 3
triggerall = command = "y"
triggerall = StateType != A
trigger1 = StateNo = 300200
trigger1 = Anim = 300200
trigger1 = AnimElem = 6, >= 0
trigger2 = StateNo = 300200
trigger2 = StateTime > 0
trigger2 = Var(15) > 0
trigger3 = Ctrl
trigger4 = StateNo = 100
ignorehitpause = 1

; Sabre Attack 3
[State -1, Attack]
type = ChangeState
value = 300220
triggerall = Var(8) > 0
triggerall = Var(56) = 3
triggerall = command = "x"
triggerall = StateType != A
trigger1 = StateNo = 300210
trigger1 = Anim = 300210
trigger1 = AnimElem = 5, >= 0
trigger2 = StateNo = 300210
trigger2 = StateTime > 0
trigger2 = Var(15) > 0
ignorehitpause = 1

;---------------------------------------------------------------------------
; Wall Sabre Slash
[State -1, Attack]
type = ChangeState
value = 300500
triggerall = Var(56) = 3
triggerall = Command = "x" || Command = "y"
trigger1 = StateType = A
trigger1 = StateNo = 80
trigger1 = Ctrl
ignorehitpause = 1

;---------------------------------------------------------------------------
; Air Sabre Slash
[State -1, Attack]
type = ChangeState
value = 300600
triggerall = Var(56) = 3
triggerall = Command = "x"
trigger1 = StateType = A
trigger1 = Ctrl
ignorehitpause = 1

;===========================================================================
;---------------------------------------------------------------------------
; Model [Lx] Commands
;---------------------------------------------------------------------------
; Lance Attack
[State -1, Attack]
type = ChangeState
value = 500200
triggerall = Var(56) = 5
triggerall = Command = "x" || Command = "y"
trigger1 = StateType != A
trigger1 = Ctrl
trigger2 = StateNo = 100
ignorehitpause = 1

;---------------------------------------------------------------------------
; Wall Lance Attack
[State -1, Attack]
type = ChangeState
value = 500500
triggerall = Var(56) = 5
triggerall = Command = "x" || Command = "y"
trigger1 = StateType = A
trigger1 = StateNo = 80
trigger1 = Ctrl
ignorehitpause = 1

;---------------------------------------------------------------------------
; Air Lance Attack
[State -1, Attack]
type = ChangeState
value = 500600
triggerall = Var(56) = 5
triggerall = Command = "x" || Command = "y"
trigger1 = StateType = A
trigger1 = Ctrl
ignorehitpause = 1

;===========================================================================
;---------------------------------------------------------------------------
; Model [Px] Commands
;---------------------------------------------------------------------------
; Dash Kunai Attack
[State -1, Attack]
type = ChangeState
value = 600700
triggerall = Var(56) = 6
triggerall = command = "x" || Command = "y"
trigger1 = StateNo = 100
ignorehitpause = 1

;---------------------------------------------------------------------------
; Walking Kunai Attack
[State -1, State]
type = ChangeState
value = 600300
triggerall = Var(56) = 6
triggerall = StateType != A
triggerall = NumHelper(610300) <= 0
triggerall = Command = "holdfwd"
triggerall = Command != "holdback"
trigger1 = Command = "x" || Command = "y"
trigger1 = Ctrl
ignorehitpause = 1

;---------------------------------------------------------------------------
; Kunai Attack
[State -1, Attack]
type = ChangeState
value = 600200
triggerall = Var(56) = 6
triggerall = Command = "x" || Command = "y"
trigger1 = StateType != A
trigger1 = Ctrl
trigger2 = StateNo = 100
ignorehitpause = 1

;---------------------------------------------------------------------------
; Wall Kunai Attack
[State -1, Attack]
type = ChangeState
value = 600500
triggerall = Var(56) = 6
triggerall = Command = "x" || Command = "y"
trigger1 = StateType = A
trigger1 = StateNo = 80
trigger1 = Ctrl
ignorehitpause = 1

;---------------------------------------------------------------------------
; Air Lance Attack
[State -1, Attack]
type = ChangeState
value = 600600
triggerall = Var(56) = 6
triggerall = Command = "x" || Command = "y"
trigger1 = StateType = A
trigger1 = Ctrl
ignorehitpause = 1

;===========================================================================
;---------------------------------------------------------------------------
; Model [Ox] Commands
;---------------------------------------------------------------------------
; 7-Slash Sabre Combo
[State -1, State]
type = ChangeState
value = 702000
triggerall = Var(50) > 0
triggerall = Var(56) = 7
triggerall = Power >= 1000
triggerall = Command = "7sabre"
trigger1 = StateNo >= 700200
trigger1 = StateNo <= 700240
trigger2 = StateType != A
trigger2 = ctrl

;---------------------------------------------------------------------------
; Sabre Slash Blade
[State -1, Attack]
type = ChangeState
value = 700230
triggerall = Var(50) > 0
triggerall = Var(56) = 7
triggerall = Command = "down_x"
triggerall = StateType != A
trigger1 = Ctrl
trigger2 = StateNo = 100
trigger3 = MoveType = A
trigger3 = StateNo > 700000
trigger3 = StateNo < 701000
trigger3 = AnimElem = 5, >= 0
trigger3 = StateNo != 700230
trigger3 = Anim != 700230
trigger3 = Time >= 10
ignorehitpause = 1

;---------------------------------------------------------------------------
; Rising Flaming Sabre
[State -1, Attack]
type = ChangeState
value = 700255
triggerall = Var(50) > 0
triggerall = Var(56) = 7
triggerall = command = "holdup"
triggerall = command = "x"
triggerall = statetype != A
trigger1 = Ctrl
trigger2 = StateNo = 100
trigger3 = MoveType = A
trigger3 = StateNo > 700000
trigger3 = StateNo < 701000
trigger3 = AnimElem = 5, >= 0
trigger3 = StateNo != 700250
trigger3 = Anim != 700250
trigger3 = Time >= 10
ignorehitpause = 1

;---------------------------------------------------------------------------
; Ground Pound Charge 2
[State -1, Attack]
type = ChangeState
value = 701002
triggerall = Var(50) > 0
triggerall = Var(56) = 7
triggerall = Var(31) >= Var(33)
triggerall = command = "holddown"
triggerall = command != "hold_y"
trigger1 = StateType != A
trigger1 = Ctrl
trigger2 = StateNo = 100
ignorehitpause = 1

; Ground Pound Charge 1
[State -1, Attack]
type = ChangeState
value = 701001
triggerall = Var(50) > 0
triggerall = Var(56) = 7
triggerall = Var(31) >= Var(32)
triggerall = command = "holddown"
triggerall = command != "hold_y"
trigger1 = StateType != A
trigger1 = Ctrl
trigger2 = StateNo = 100
ignorehitpause = 1

; Ground Pound
[State -1, Attack]
type = ChangeState
value = 701000
triggerall = Var(50) > 0
triggerall = Var(56) = 7
triggerall = command = "down_y"
trigger1 = StateType != A
trigger1 = Ctrl
trigger2 = StateNo = 100
ignorehitpause = 1

;---------------------------------------------------------------------------
; Sabre Dash Slash
[State -1, Attack]
type = ChangeState
value = 700700
triggerall = Var(50) <= 0
triggerall = Var(56) = 7
triggerall = command = "x"
trigger1 = StateNo = 100
ignorehitpause = 1

;---------------------------------------------------------------------------
; Walking Sabre Attack
[State -1, State]
type = ChangeState
value = 700290
triggerall = Var(50) <= 0
triggerall = Var(56) = 7
triggerall = StateType != A
triggerall = NumHelper(10000) <= 0
triggerall = NumHelper(10001) <= 0
triggerall = Command = "holdfwd"
triggerall = Command != "holdback"
trigger1 = Command = "x"
trigger1 = Ctrl
ignorehitpause = 1

;---------------------------------------------------------------------------
; Sabre Attack 1
[State -1, Attack]
type = ChangeState
value = 700200
triggerall = Var(56) = 7
triggerall = Command = "x"
trigger1 = StateType != A
trigger1 = Ctrl
trigger2 = StateNo = 100
ignorehitpause = 1

; Sabre Attack 2
[State -1, Attack]
type = ChangeState
value = 700210
triggerall = Var(56) = 7
triggerall = command = "x"
triggerall = StateType != A
trigger1 = StateNo = 700200
trigger1 = Anim = 700200
trigger1 = AnimElem = 6, >= 0
trigger2 = StateNo = 700200
trigger2 = StateTime > 0
trigger2 = Var(15) > 0
ignorehitpause = 1

; Sabre Attack 3
[State -1, Attack]
type = ChangeState
value = 700220
triggerall = Var(56) = 7
triggerall = command = "x"
triggerall = StateType != A
trigger1 = StateNo = 700210
trigger1 = Anim = 700210
trigger1 = AnimElem = 5, >= 0
trigger2 = StateNo = 700210
trigger2 = StateTime > 0
trigger2 = Var(15) > 0
ignorehitpause = 1

;---------------------------------------------------------------------------
; Charged Sabre Attack
[State -1, State]
type = ChangeState
value = 700260
triggerall = Var(50) <= 0
triggerall = Var(56) = 7
triggerall = Var(30) >= Var(33)
triggerall = Command != "hold_x"
trigger1 = StateType != A
trigger1 = Ctrl
trigger2 = StateNo = 100
ignorehitpause = 1

;---------------------------------------------------------------------------
; Wall Shoot
[State -1, Attack]
type = ChangeState
value = 700340
triggerall = Ctrl
triggerall = Var(56) = 7
triggerall = StateNo = 80
triggerall = StateType = A
triggerall = NumHelper(350) < Var(2)
trigger1 = Var(31) < Var(32)
trigger1 = Command = "y"
trigger2 = Command != "hold_y"
trigger2 = Var(31) >= Var(32)
ignorehitpause = 1

; Dash Shoot
[State -1, Attack]
type = ChangeState
value = 700330
triggerall = Var(56) = 7
triggerall = StateNo = 300 + Var(57) ||  StateNo = 315 + Var(57) || StateNo = 320 + Var(57)
triggerall = StateType != A
trigger1 = Command = "z"
trigger2 = Command = "FF"
ignorehitpause = 1

; Dash Shoot
[State -1, Attack]
type = ChangeState
value = 700330
triggerall = Var(56) = 7
triggerall = StateNo = 100
triggerall = StateType != A
triggerall = NumHelper(350) < Var(2)
trigger1 = Var(31) < Var(32)
trigger1 = Command = "y"
trigger2 = Command != "hold_y"
trigger2 = Var(31) >= Var(32)
ignorehitpause = 1

; Walk Shoot
[State -1, State]
type = ChangeState
value = 700320
triggerall = Ctrl
triggerall = Var(56) = 7
triggerall = StateType != A
triggerall = NumHelper(350) < Var(2)
triggerall = Command = "holdfwd"
triggerall = Command != "holdback"
trigger1 = Var(31) < Var(32)
trigger1 = Command = "y"
trigger2 = Command != "hold_y"
trigger2 = Var(31) >= Var(32)
ignorehitpause = 1

; Jump Shoot
[State -1, State]
type = ChangeState
value = 700305
triggerall = Ctrl
triggerall = Var(4) > 0
triggerall = Var(56) = 7
triggerall = StateNo != 305 + Var(57)
triggerall = StateNo >= 300 + Var(57)
triggerall = StateNo < 340 + Var(57)
triggerall = StateType != A
triggerall = MoveType = A
trigger1 = Command = "a"
ignorehitpause = 1

; Air Shoot
[State -1, State]
type = ChangeState
value = 700310
triggerall = Ctrl
triggerall = Var(56) = 7
triggerall = StateType = A
triggerall = NumHelper(350) < Var(2)
trigger1 = Var(31) < Var(32)
trigger1 = Command = "y"
trigger2 = Command != "hold_y"
trigger2 = Var(31) >= Var(32)
ignorehitpause = 1

; Stand Shoot
[State -1, State]
type = ChangeState
value = 700300
triggerall = Ctrl
triggerall = Var(56) = 7
triggerall = StateType != A
triggerall = NumHelper(350) < Var(2)
trigger1 = Var(31) < Var(32)
trigger1 = Command = "y"
trigger2 = Command != "hold_y"
trigger2 = Var(31) >= Var(32)
ignorehitpause = 1

;---------------------------------------------------------------------------
; Wall Sabre Slash
[State -1, Attack]
type = ChangeState
value = 700500
triggerall = Var(56) = 7
triggerall = Command = "x"
trigger1 = StateType = A
trigger1 = StateNo = 80
trigger1 = Ctrl
ignorehitpause = 1

; Wall Charged Sabre Slash
[State -1, Attack]
type = ChangeState
value = 700510
triggerall = Var(50) <= 0
triggerall = Var(56) = 7
triggerall = Var(30) >= Var(33)
triggerall = Command != "hold_x"
triggerall = Command != "hold_y"
trigger1 = StateType = A
trigger1 = StateNo = 80
trigger1 = Ctrl
ignorehitpause = 1

;---------------------------------------------------------------------------
; Air Spin Sabre Slash
[State -1, Attack]
type = ChangeState
value = 700620
triggerall = Var(50) > 0
triggerall = Var(56) = 7
triggerall = Command = "x"
trigger1 = StateType = A
trigger1 = Ctrl
ignorehitpause = 1

;---------------------------------------------------------------------------
; Air Spin Sabre
[State -1, Attack]
type = ChangeState
value = 700610
triggerall = Var(56) = 7
triggerall = command = "x"
triggerall = statetype = A
trigger1 = StateNo = 700600
trigger1 = AnimElem = 4, >= 0
trigger2 = StateNo = 700600
trigger2 = StateTime > 0
trigger2 = Var(15) > 0
trigger3 = command = "holdup"
trigger3 = ctrl
ignorehitpause = 1

;---------------------------------------------------------------------------
; Air Sabre Slash
[State -1, Attack]
type = ChangeState
value = 700600
triggerall = Var(56) = 7
triggerall = Command = "x"
trigger1 = StateType = A
trigger1 = Ctrl
ignorehitpause = 1

;---------------------------------------------------------------------------
; Air Charged Sabre Attack
[State -1, State]
type = ChangeState
value = 700660
triggerall = Var(50) <= 0
triggerall = Var(56) = 7
triggerall = Var(30) >= Var(33)
triggerall = Command != "hold_x"
triggerall = Command != "hold_y"
trigger1 = StateType = A
trigger1 = Ctrl
ignorehitpause = 1

;===========================================================================
;---------------------------------------------------------------------------
; SECRET Model [M] Commands
;---------------------------------------------------------------------------
; Walk Shoot
[State -1, State]
type = ChangeState
value = 900320
triggerall = Ctrl
triggerall = Var(56) = 9
triggerall = StateType != A
triggerall = NumHelper(350) < Var(2)
triggerall = Command = "holdfwd"
triggerall = Command != "holdback"
trigger1 = Command = "x" || Command = "y"
trigger2 = Command != "hold_x"
trigger2 = Command != "hold_y"
trigger2 = Var(30) >= Var(32)
ignorehitpause = 1

; Jump Shoot
[State -1, State]
type = ChangeState
value = 900305
triggerall = Ctrl
triggerall = Var(4) > 0
triggerall = Var(56) = 9
triggerall = StateNo != 305 + Var(57)
triggerall = StateNo >= 300 + Var(57)
triggerall = StateNo < 340 + Var(57)
triggerall = StateType != A
triggerall = MoveType = A
trigger1 = Command = "a"
ignorehitpause = 1

; Air Shoot
[State -1, State]
type = ChangeState
value = 900310
triggerall = Ctrl
triggerall = Var(56) = 9
triggerall = StateType = A
triggerall = NumHelper(350) < Var(2)
trigger1 = Command = "x" || Command = "y"
trigger2 = Command != "hold_x"
trigger2 = Command != "hold_y"
trigger2 = Var(30) >= Var(32)
ignorehitpause = 1

; Stand Shoot
[State -1, State]
type = ChangeState
value = 900300
triggerall = Ctrl
triggerall = Var(56) = 9
triggerall = StateType != A
triggerall = NumHelper(350) < Var(2)
trigger1 = Command = "x" || Command = "y"
trigger2 = Command != "hold_x"
trigger2 = Command != "hold_y"
trigger2 = Var(30) >= Var(32)
ignorehitpause = 1

;---------------------------------------------------------------------------
; Slide
[State -1, State]
type = ChangeState
value = 900100
triggerall = Var(56) > 0
triggerall = Var(56) = 9
triggerall = Command = "holddown"
triggerall = Command = "a"
triggerall = StateType != A
trigger1 = MoveType = A
trigger2 = Ctrl

;===========================================================================
;---------------------------------------------------------------------------
; Player Commands
;---------------------------------------------------------------------------
; Jump
[State -1, State]
type = ChangeState
value = 55
triggerall = Command = "a"
trigger1 = StateType != A
trigger1 = ctrl
trigger2 = StateNo = 100 || StateNo = 100 + Var(57)

;---------------------------------------------------------------------------
; Wall Slide
[State -1]
type = ChangeState
value = 80
triggerall = Vel Y > 0
triggerall = Pos Y < 0
triggerall = Var(56) > 0
triggerall = Var(56) != 9
triggerall = StateNo != 80
triggerall = Command = "holdfwd"
trigger1 = FrontEdgeBodyDist < 5
trigger1 = StateType = A
trigger1 = Ctrl

; Wall Jump
[State -1]
type = ChangeState
value = 85
triggerall = Pos Y < 0
triggerall = Var(56) > 0
triggerall = Var(56) != 9
triggerall = Command = "a"
triggerall = FrontEdgeBodyDist <= 15
triggerall = StateType = A
trigger1 = StateNo = 500 + Var(57)
trigger2 = StateNo = 510 + Var(57)
trigger3 = Ctrl

[State -1]
type = ChangeState
value = 85
triggerall = Pos Y < 0
triggerall = Var(56) > 0
triggerall = Var(56) != 9
triggerall = Command = "a"
triggerall = StateType = A
trigger1 = StateNo = 80

;---------------------------------------------------------------------------
; Dash
[State -1, State]
type = ChangeState
value = 100
triggerall = Var(56) > 0
triggerall = Var(56) != 9
triggerall = Command = "z" || Command = "FF"
trigger1 = StateType != A
trigger1 = Ctrl

;---------------------------------------------------------------------------
; FAKE - AF Model Select
[State -1, State]
type = null ;ChangeState
value = 200
triggerall = Var(20) >= 0
triggerall = Var(56) <= 0
triggerall = Name = "Vent"
triggerall = Command = "hold_s"
triggerall = Command = "c"
triggerall = StateNo < 100
trigger1 = Ctrl

; Model Select
[State -1, State]
type = ChangeState
value = 160
triggerall = Var(20) >= 0
triggerall = Command = "c"
triggerall = StateNo < 100
trigger1 = Ctrl

;===========================================================================
;---------------------------------------------------------------------------
; Player Charge System
;---------------------------------------------------------------------------
;-----| Variables |----------
;--- Charge Variable Sub ---
[State -1, Reset]
type = VarSet
triggerall = Var(31) > 0
triggerall = Var(56) > 0
trigger1 = Var(56) != 1
trigger1 = Command != "hold_y"
trigger2 = Var(56) = 1
trigger2 = Var(31) < Var(33)
trigger2 = Command != "hold_x"
trigger2 = Command != "hold_y"
trigger3 = StateNo >= 160
trigger3 = StateNo <= 165
trigger4 = Var(56) = 5
trigger5 = Var(56) = 6
trigger6 = Var(56) = 9
trigger7 = Alive = 0
ignorehitpause = 1
var(31) = 0

[State -1, Charge]
type = VarAdd
triggerall = Var(56) > 0
triggerall = Var(56) != 5
triggerall = Var(56) != 6
triggerall = Var(56) != 9
triggerall = Var(31) < Var(34)
triggerall = RoundState = 2
triggerall = Anim < 6000 + Var(57)
triggerall = StateNo < 6000 + Var(57)
triggerall = MoveType = I
trigger1 = Var(56) = 1
trigger1 = Var(30) >= Var(32) + Var(32)
trigger2 = Var(56) > 1
trigger2 = Command = "hold_y"
ignorehitpause = 1
var(31) = 1

[State -1, Max]
type = VarSet
trigger1 = Var(31) >= Var(34)
ignorehitpause = 1
var(31) = Var(34)
;-------------------------

;--- Charge Variable Main ---
[State -1, Reset]
type = VarSet
triggerall = Var(30) > 0
triggerall = Var(56) > 0
trigger1 = Var(56) != 1
trigger1 = Var(56) != 5
trigger1 = Var(56) != 6
trigger1 = Command != "hold_x"
trigger2 = Var(56) = 1 || Var(56) = 5 || Var(56) = 6
trigger2 = Command != "hold_x"
trigger2 = Command != "hold_y"
trigger3 = Var(50) > 0
trigger3 = Var(56) = 7
trigger4 = StateNo >= 160
trigger4 = StateNo <= 165
trigger5 = Var(56) = 9
trigger6 = Alive = 0
ignorehitpause = 1
var(30) = 0

[State -1, Charge]
type = VarAdd
triggerall = Var(56) > 0
triggerall = Var(56) != 9
triggerall = Var(30) < Var(34)
triggerall = RoundState = 2
triggerall = Anim < 5000 + Var(57)
triggerall = StateNo < 5000 + Var(57)
triggerall = MoveType = I
trigger1 = Command = "hold_x"
trigger2 = Var(56) = 1 || Var(56) = 5 || Var(56) = 6
trigger2 = Command = "hold_y"
ignorehitpause = 1
var(30) = 1

[State -1, Max]
type = VarSet
trigger1 = Var(30) >= Var(34)
trigger2 = Var(31) >= Var(33)
trigger2 = Command = "hold_y"
trigger2 = Var(50) > 0
trigger2 = Var(56) = 7
ignorehitpause = 1
var(30) = Var(34)
;-------------------------

;-----| Charge Sub |-----
[State -1, Helper]
type = Helper
triggerall = Facing = 1
triggerall = Var(56) > 0
triggerall = RoundState = 2
triggerall = NumHelper(1000510) <= 0
trigger1 = Var(56) <= 1
trigger1 = Var(31) >= Var(33)
trigger2 = Var(56) > 1
trigger2 = Var(31) >= Var(32)
helpertype = normal
name = "Charge Sub"
ignorehitpause = 1
pausemovetime = 1000000000
supermovetime = 1000000000
id = 1000510
facing = 1
pos = 0,0
postype = p1
stateno = 1000510
keyctrl = 0
ownpal = 1

[State -1, Helper]
type = Helper
triggerall = Facing = -1
triggerall = Var(56) > 0
triggerall = RoundState = 2
triggerall = NumHelper(1000510) <= 0
trigger1 = Var(56) <= 1
trigger1 = Var(31) >= Var(33)
trigger2 = Var(56) > 1
trigger2 = Var(31) >= Var(32)
helpertype = normal
name = "Charge Sub"
ignorehitpause = 1
pausemovetime = 1000000000
supermovetime = 1000000000
id = 1000510
facing = -1
pos = 0,0
postype = p1
stateno = 1000510
keyctrl = 0
ownpal = 1
;-------------------------

;-----| Charge Main |-----
[State -1, Helper]
type = Helper
triggerall = Facing = 1
triggerall = Var(56) > 0
triggerall = RoundState = 2
triggerall = NumHelper(1000500) <= 0
trigger1 = Var(30) >= Var(32)
helpertype = normal
name = "Charge Main"
ignorehitpause = 1
pausemovetime = 1000000000
supermovetime = 1000000000
id = 1000500
facing = 1
pos = 0,0
postype = p1
stateno = 1000500
keyctrl = 0
ownpal = 1

[State -1, Helper]
type = Helper
triggerall = Facing = -1
triggerall = Var(56) > 0
triggerall = RoundState = 2
triggerall = NumHelper(1000500) <= 0
trigger1 = Var(30) >= Var(32)
helpertype = normal
name = "Charge Main"
ignorehitpause = 1
pausemovetime = 1000000000
supermovetime = 1000000000
id = 1000500
facing = -1
pos = 0,0
postype = p1
stateno = 1000500
keyctrl = 0
ownpal = 1
;-------------------------
;---------------------------------------------------------------------------
